/* Draw Cross-Section of Travelable Worm Hole */
#include <math.h>
#include <stdio.h>
int main()
{
  float b0, r, z;

  b0 = 1;
  for(r = b0; r <= 10.; r = (float)(r + .1)) {
    z = (float)(b0 * log(r/b0 + sqrt((r/b0) * (r/b0) - 1)));
    /* print data for plotting upper right */
    printf("%f %f\n", r, z);
  }
  for(r = b0; r <= 10.; r = (float)(r + .1)) {
    z = (float)(-b0 * log(r/b0 + sqrt((r/b0) * (r/b0) - 1)));
    /* print data for plotting lower right */
    printf("%f %f\n", r, z);
  }
  for(r = b0; r <= 10.; r = (float)(r + .1)) {
    z = (float)(b0 * log(r/b0 + sqrt((r/b0) * (r/b0) - 1)));
    /* print data for plotting upper left */
    printf("%f %f\n", -r, z);
  }
  for(r = b0; r <= 10.; r = (float)(r + .1)) {
    z = (float)(-b0 * log(r/b0 + sqrt((r/b0) * (r/b0) - 1)));
    /* print data for plotting lower left */
    printf("%f %f\n", -r, z);
  }

  return(0);
}
