/* Compute Gravitational Time Dilation */
#include <math.h>
#include <stdio.h>
int main()
{
  float ratio,	/* circum/circum(hole) */
	time2,	/* elapsed time, near hole */
	time1;	/* elapsed time, far away from hole */
  int i, j;

  time1 = 1;
  i = 0;
  printf("  C/Ch   Time1(days)   Time2(days)\n");
  printf("         near hole     far away\n");
  for(j = 0; j <= 20; j++) {
    ratio = (float)(1 + pow(0.5, i));
    i++;
    time2 = (float)(time1/sqrt(1.0 - 1./ratio));
    printf("%f    %4.1f    %12.6f\n", ratio, time1, time2);
  }

  return(0);
}
